View Issue Details

IDProjectCategoryView StatusLast Update
0018926LazarusLCLpublic2018-07-17 00:14
ReporterKrzysztof Dibowski Assigned ToZeljan Rikalo  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version0.9.31 (SVN) 
Summary0018926: TExtendedNotebook doesn't draw drag and drop arrows on GTK
DescriptionHi,

TPageControl.TabPosition returns the wrong rect, if TPageControl is not in top/left corner. Details:
http://lists.lazarus.freepascal.org/pipermail/lazarus/2011-March/061436.html

This works fine on windows. Problem is on GTK. I attached demo with two this same TExtendedNotebook controls. Arrows are only on top control.

Regards
Additional InformationUbuntu 10.10 64bit, GNOME GTK2
Lazarus 0.9.31 from SVN, revision 29840
FCP 2.5.1 from SVN
TagsNo tags attached.
Fixed in Revision44405
LazTarget-
WidgetsetGTK 2
Attached Files

Activities

2011-03-14 23:55

 

extnotebook.zip (2,225 bytes)

Zeljan Rikalo

2014-03-11 12:41

developer   ~0073624

Please test and close if ok.

Issue History

Date Modified Username Field Change
2011-03-14 23:55 Krzysztof Dibowski New Issue
2011-03-14 23:55 Krzysztof Dibowski File Added: extnotebook.zip
2011-03-14 23:55 Krzysztof Dibowski Widgetset => GTK 2
2011-03-30 22:50 Vincent Snijders LazTarget => -
2011-03-30 22:50 Vincent Snijders Status new => acknowledged
2014-03-11 12:38 Zeljan Rikalo Assigned To => Zeljan Rikalo
2014-03-11 12:38 Zeljan Rikalo Status acknowledged => assigned
2014-03-11 12:41 Zeljan Rikalo Fixed in Revision => 44405
2014-03-11 12:41 Zeljan Rikalo Note Added: 0073624
2014-03-11 12:41 Zeljan Rikalo Status assigned => resolved
2014-03-11 12:41 Zeljan Rikalo Resolution open => fixed